# Class CDXMLWriter

java.lang.Object
org.jmol.adapter.writers.CMLWriter
org.jmol.adapter.writers.CDXMLWriter

All Implemented Interfaces:
  `JmolWriter`

public class CDXMLWriter extends CMLWriter
Minimal ChemDraw CDXML writer just converts CDX to CDXML involving just the basic necessities for XmlCDXReader.

## Field Summary

### Fields inherited from class CMLWriter

`addBonds, allTrajectories, atomsMax, doTransform, oc, vwr`

## Constructor Summary

Constructors
Constructor
Description
`CDXMLWriter()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`fromASC(AtomSetCollection asc)`
`static String`
`fromCDX(GenericBinaryDocumentReader binaryDoc)`
`static String`
`fromString(Viewer vwr, String type, String mol)`
`static void`
`main(String[] args)`
`void`
`set(Viewer viewer, OC out, Object[] data)`
`static String`
`wrapCData(String s)`
wrap the string as character data, with replacements for [ noted as a list starting with * after the CDATA termination
`String`
`write(BS bs)`

### Methods inherited from class CMLWriter

`addAttribute, addAttributes, appendEmptyTag, closeTag, openDocument, openTag, startOpenTag, terminateEmptyTag, terminateTag, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CDXMLWriter

public CDXMLWriter()

## Method Details

### set

public void set(Viewer viewer, OC out, Object[] data)

Specified by:
  `set` in interface `JmolWriter`
Overrides:
  `set` in class `CMLWriter`

### write

public String write(BS bs)

Specified by:
  `write` in interface `JmolWriter`
Overrides:
  `write` in class `CMLWriter`

### fromCDX

public static String fromCDX(GenericBinaryDocumentReader binaryDoc) throws Exception

Throws:
  `Exception`

### fromASC

public static String fromASC(AtomSetCollection asc)

### wrapCData

public static String wrapCData(String s)
wrap the string as character data, with replacements for [ noted as a list starting with * after the CDATA termination

Parameters:
  `s` -
Returns:
  wrapped text

### main

public static void main(String[] args)

### fromString

public static String fromString(Viewer vwr, String type, String mol)